---
import Navbar from "../components/Navbar.astro";
import Layout1 from "../layouts/Layout1.astro";
import { companyData, Product , proceedingData , additionalReport, relatedProducts, companyChanges} from "../assets/Data";
import CompanyDetails from "../components/CompanyDetails.astro";
import Clients from "../components/Clients.astro";
import EstateCard from "../components/EstateCard.astro";
import { Estates } from "../assets/Data";
import Proceeding from "../components/Proceeding.astro";
import RelatedProducts from "../components/RelatedProducts.astro";
import AdditionalReport from "../components/AdditionalReport.astro";
import Products from "../components/Products.astro";

---

<Layout1 title="Search">
    <div class="bg-[darkBlue]">
        <div class="container px-5">
            <div class="pt-4">
                <p
                    class="md:text-base font-normal text-white md:leading-6 text-xs"
                >
                    Home <span class="mx-2"> {">"}</span> Company <span
                        class="font-bold leading-5">Tabu Estate LTD</span
                    >
                </p>
            </div>
            <div class="grid lg:grid-cols-5 md:mt-16 mt-8 gap-4 pb-8 lg:pb-0">
                <div class="lg:col-span-3 order-1">
                    <h1
                        class="font-semibold md:text-5xl text-2xl text-white leading-8"
                    >
                        {companyData.companyName}
                    </h1>
                    <div class="md:mt-7 mt-4 md:mb-10 mb-8">
                        <div class="inline-block">
                            <img
                                src="profile-2.svg"
                                alt=""
                                class="w-5 h-5 inline-block"
                            /><span
                                class="font-medium text-sm text-white ml-2.5 leading-6"
                                >Up to 16 people</span
                            >
                        </div>
                        <div class="inline-block mx-8">
                            <img
                                src="line.svg"
                                alt=""
                                class="w-5 h-5 inline-block"
                            /><span
                                class="font-medium text-sm text-white ml-2.5 leading-6"
                                >Share</span
                            >
                        </div>
                        <div class="inline-block">
                            <img
                                src="document-text-fill.svg"
                                alt=""
                                class="w-5 h-5 inline-block"
                            /><span
                                class="font-medium text-sm text-white ml-2.5 leading-6"
                                >Print</span
                            >
                        </div>
                    </div>
                </div>

                <div class="md:order-2 order-3">
                    <button
                        class="bg-[darkBlue] w-full text-white text-base border border-white-300 md:focus:outline-none hover:bg-white hover:text-black py-4 px-8 font-medium"
                    >
                        <div class="inline-block">
                            <img
                                src="notification-border.svg"
                                class="inline-block w-5 h-5"
                                alt=""
                            />
                            <span class="font-medium text-base ml-3 leading-6"
                                >Subscribe to notifications</span
                            >
                        </div>
                    </button>
                </div>
                <div class="md:order-3 order-2">
                    <button
                        class="bg-white w-full text-darkBlue text-base border border-white-300 focus:outline-none hover:bg-[darkBlue] hover:text-white py-4 px-8 font-medium"
                    >
                        <div class="inline-block">
                            <img
                                src="document-copy.svg"
                                class="inline-block w-5 h-5"
                                alt=""
                            />
                            <span class="font-medium text-base ml-3 leading-6"
                                >Order Full CheckID</span
                            >
                        </div>
                    </button>
                </div>
            </div>
        </div>
    </div>

    <div class="md:mt-10">
        <div class="container px-5">
            <div>
                <CompanyDetails companyData={companyData} />
            </div>
            <div class="md:mt-20">
                <Clients clients={4} />
            </div>
            <div class="mt-16">
                <div class="grid grid-cols-1">
                    <div
                        class="w-full overflow-hidden p-6 shadow-lg border-l-[6px] border-[#FFA800]"
                    >
                        <p class="font-normal text-sm text-black leading-5">
                            The names of the Company
                            officials/Shareholders/Directors in the report as
                            shown on the CheckID and TRENDLINE website have been
                            translated for your convenience from Hebrew into
                            English, using translation software powered by
                            Google Translate. For these translations, reasimport { Product } from "../assets/Data";onable
                            efforts have been made to provide an accurate
                            translation. However, some translations may be
                            flawed or inaccurate. CheckID and TRENDLINE disclaim
                            all warranty of any kind, either expressed or
                            implied, regarding the accuracy, reliability, or
                            correctness of any of these translations made from
                            Hebrew into English. Any discrepancies or
                            differences created in translating this content from
                            Hebrew into English are not binding and have no
                            legal effect for compliance, enforcement, or any
                            other purpose. If any questions arise related to the
                            accuracy of the information contained in these
                            translations, please contact us.
                        </p>
                    </div>
                </div>
            </div>
            <div class="mt-16">
                <div class="grid md:grid-cols-4 gap-4">
                    <div class="md:col-span-3">
                        <h1
                            class="font-semibold text-darkBlue text-2xl leading-7"
                        >
                            Owners/JobHolders
                        </h1>
                        <p
                            class="text-black text-sm font-normal mt-2.5 leading-5"
                        >Products
                            The information presented is current to 19-12-2022,
                            in order to update the information you can order an
                            updated report.
                        </p>
                    </div>
                    <div class="hidden md:inline-block">
                        <div class="float-right flex">
                            <span
                                class="text-darkBlue text-base font-medium mr-3.5"
                                >Show All</span
                            >
                            <img src="arrow-right.png" alt="arrow right" />
                        </div>
                    </div>
                </div>
            </div>
            <div class="grid md:grid-cols-2 grid-cols-1 gap-4">
                {
                    Estates.map((estate) => (
                    <EstateCard estate={estate} />
                    ))
                }        
            </div>
            <div class="mt-12">
                <div class="grid grid-cols-1">
                    <div>
                        <h1
                            class="text-darkBlue font-semibold text-2xl leading-7"
                        >
                            Legal Proceedings <span class="font-light">(4)</span
                            >
                        </h1>
                    </div>
                    <div class="md:mt-10 mt-6">
                        {
                            proceedingData.map((proceeding) => (
                                
                                <Proceeding  proceeding={proceeding}/>
                            ))
                        }       
                    
                    </div>
                </div>
            </div>
            <div class="mt-16">
                <div class="grid md:grid-cols-4 gap-4">
                    <div class="md:col-span-3">
                        <h1
                            class="font-semibold text-darkBlue text-2xl leading-7"
                        >
                            Company Changes
                        </h1>
                    </div>
                    <div class="hidden md:inline-block">
                        <div class="float-right flex">
                            <span
                                class="text-darkBlue text-base font-medium mr-3.5"
                                >Show All</span
                            >
                            <img src="arrow-right.png" alt="arrow right" />
                        </div>
                    </div>
                   
                </div>
                <div class="grid grid-cols-4 gap-4 m-20">
        <div class="bg-blue-500 p-5 flex flex-col">
            <div class="text-white flex-1">
                Some text
            </div>
            <button class="bg-white rounded-full mt-5 px-5 py-2">Action Button</button>
        </div>
        <div class="bg-amber-500 p-5 flex flex-col">
            <div class="text-white flex-1">
                Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam ut nibh et dolor vestibulum commodo eu in
                nulla. Etiam molestie diam at mollis mollis
            </div>
            <button class="bg-white rounded-full mt-5 px-5 py-2">Action Button</button>
        </div>
        <div class="bg-green-500 p-5 flex flex-col">
            <div class="text-white flex-1">
                Sed eget tortor ullamcorper, mollis nibh ut, pretium augue.
            </div>
            <button class="bg-white rounded-full mt-5 px-5 py-2">Action Button</button>
        </div>
        <div class="bg-cyan-500 p-5 flex flex-col">
            <div class="text-white flex-1">
                Short text
            </div>
            <button class="bg-white rounded-full mt-5 px-5 py-2">Action Button</button>
        </div>

</div>
                <div class="grid grid-cols-12 mt-14">
                    <div class="col-span-2">
                        <div class="flex">
                            <img src="calendar.svg" alt="">
                            <span class="ml-3 font-medium text-base leading-6 text-black">
                                Change Date
                            </span>
                        </div>
                    </div>
                    <div class="col-span-10">
                        <div class="flex">
                            <img src="graph.svg" alt="">
                            <span class="ml-3 font-medium text-base leading-6 text-black">
                                The Essence Of Change
                            </span>
                        </div>
                    </div>
                    {companyChanges.map((item) => (
                        <div class="col-span-2">
                            <div class="flex">
                                <span class="ml-3 font-medium text-base leading-6 text-black">
                                    {item.date}
                                </span>
                            </div>
                        </div>
                        <div class="col-span-10">
                            <div class="flex">
                                <span class="ml-3 font-medium text-base leading-6 text-black">
                                    {item.action}
                                </span>
                            </div>
                        </div>
                    ))}
                </div>
                
            </div>
            <div class="mt-16">
                <div class="md:text-center">
                    <h1 class="font-semibold text-darkBlue md:text-3xl text-lg leading-9">
                        Products related to the company
                    </h1>
                </div>
                <div class="md:mt-12 mt-6">

                    <div class="grid md:grid-cols-2 gap-4">
                        {Product.map((item) => (

                            <Products product={item}  />
                        )                
                        )}
                    </div>
                </div>
            </div>
             <div class="mt-16">
                <h1 class="md:text-center text-darkBlue font-bold leading-9 text-3xl">Additional Reports</h1>
                <div class="grid md:grid-cols-2 gap-6">
                {
                    additionalReport.map((item) => (
                        <AdditionalReport  additionalReport = {item} />
                    ))
                }
                </div>
            </div>
            
            <div class="mt-16">
                <div class="md:text-center">
                    <h1 class="font-semibold md:text-black text-darkBlue md:text-3xl text-xl leading-9">
                        Products related to the company
                    </h1>
                </div>
                <div class="mt-12">

                    <div class="grid md:grid-cols-2 gap-6">
                        {relatedProducts.map((item) => (

                            <RelatedProducts relatedProduct={item}  />
                        )                
                        )}
                    </div>
                </div>
            </div>

            <div class="mt-16">
                <div class="text-center">
                    <h1 class="font-semibold text-black text-3xl leading-9">
                        Additional Reports
                    </h1>
                </div>
                <div class="mt-12">

                    <div class="grid md:grid-cols-2 gap-6">
                        {relatedProducts.map((item) => (

                            <RelatedProducts relatedProduct={item}  />
                        )                
                        )}
                    </div>
                </div>
            </div>
            <div class="mt-84">
                <Clients/>
            </div>
        </div>
    </div>
</Layout1>
      
